FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Launchpad User

 
 
LinkBack Thread Tools
 
Old 10-11-2008, 06:55 PM
Gael Varoquaux
 
Default PPA package rejected for encoding errors

Hi,

I am getting my upload to my PPA rejected for encoding errors. This is
actually a package backported from debian with no change to the source
package.

I already had this problem a while ago and signaled it on this mailing
list. Someone told me he would have a look at it. I didn't worry, but now
it is pretty bad, because there is no installable version of the package I
am trying to upload. I uploaded a version with a bug, and ran into this
problem trying to fix it. Than I deleted the bugy version, but the
previous version is not visible to users, as it has been superseeded. I
am now trying to upload the very exact package that I succesfully
uploaded earlier, but failing. I must be doing something different, but I
can't figure it out.

I am one of the upstream developpers of this software (amayvi2). With
have been advertising this PPA as a distribution mean to get the latest
version of the software (I am working in close coordination with Debian
and Ubuntu maintainers, but I don't expect Debian and Ubuntu to track the
software on a weekly basis, especially since we are in beta. However the
differences in features between the version in Ubuntu and this one is
huge, so this PPA is fairly important to our users.

What are my options?

Please Cc me in answers, as I am not subscribed to the list.

Thanks,

GaŽl

The ppa I am talking about is:
https://launchpad.net/~gael-varoquaux/+archive

The rejection email is
++++++++++++++++++++++++++++++++++++++++++++++++++ +++++++++++++++++++++++++++++
Rejected:
Unhandled exception processing upload: 'ascii' codec can't encode
character
u'xeb' in position 57: ordinal not in range(128)

Format: 1.7
Date: Sat, 27 Sep 2008 12:37:57 -0400
Source: mayavi2
Binary: mayavi2
Architecture: source
Version: 3.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Python Applications Packaging Team
<python-apps-team@lists.alioth.debian.org>
Changed-By: Varun Hiremath <varun@debian.org>
Description:
mayavi2 - A scientific visualization package for 2-D and 3-D data
Changes:
mayavi2 (3.0.3-1) unstable; urgency=low
.
* New upstream release
* Upstream source split into various packages
* debian/control: add python-envisagecore, python-envisageplugins,
python-apptools, libjs-jquery to Depends
* Update debian/watch and debian/orig-tar.sh files
* Cleanup debian/rules file
Files:
1c3a79602492c3823122f2047245322e 1025 science optional
mayavi2_3.0.3-1.dsc
eab51d8b540adf986809c4ceb143f36a 8432562 science optional
mayavi2_3.0.3.orig.tar.gz
63cefd9daaac9aa5d71429e850470e0b 10879 science optional
mayavi2_3.0.3-1.diff.gz
++++++++++++++++++++++++++++++++++++++++++++++++++ +++++++++++++++++++++++++++++




--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 
Old 10-13-2008, 02:08 PM
Julian Edwards
 
Default PPA package rejected for encoding errors

On Saturday 11 October 2008 19:55:44 Gael Varoquaux wrote:

> Hi,

>

> I am getting my upload to my PPA rejected for encoding errors. This is

> actually a package backported from debian with no change to the source

> package.

[snip]

>

> What are my options?



Hi there



I'm sorry you're getting these errors, it's because there's a bug in the upload processing code that is triggered because your name has got unicode characters in it.



You can temporarily change your name in Launchpad and re-upload and it should be accepted.



We're releasing new code late on Wednesday (UTC) that will fix this.



Regards.
--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 
Old 10-13-2008, 04:44 PM
Gael Varoquaux
 
Default PPA package rejected for encoding errors

On Mon, Oct 13, 2008 at 03:08:45PM +0100, Julian Edwards wrote:
> I'm sorry you're getting these errors, it's because there's a bug in the
> upload processing code that is triggered because your name has got unicode
> characters in it.

Ha, it's my launchpad name... Yes, hurray, that did it! Thanks a lot I
was very careful not to use a name in the deb with a unicode character,
but I hadn't thought about the launchpad name.

> You can temporarily change your name in Launchpad and re-upload and it
> should be accepted.

Indeed, that worked.

> We're releasing new code late on Wednesday (UTC) that will fix this.

Nice. One ugly bug squished.

Thanks for your answer, and sorry for being pressing (almost rude, I must
admit). I appreciate launchpad a lot, and it has become a critical
component of our delivery mechanism (and Mayavi is not hosted in
lanuchpad, but all the other projects I contribute to are).

Keep the good work up,

GaŽl

--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 

Thread Tools




All times are GMT. The time now is 10:21 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org